org.keycloak.models.sessions.infinispan

## Class InfinispanSamlArtifactSessionMappingStoreProvider

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.InfinispanSamlArtifactSessionMappingStoreProvider

- All Implemented Interfaces:
    SamlArtifactSessionMappingStoreProvider, Provider

      public class InfinispanSamlArtifactSessionMappingStoreProvider
      extends Object
      implements SamlArtifactSessionMappingStoreProvider

  Author:
    mhajas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanSamlArtifactSessionMappingStoreProvider(Supplier<org.infinispan.commons.api.BasicCache<UUID,String[]>> actionKeyCache)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `SamlArtifactSessionMappingModel` | `get(String artifact)` This method returns session mapping associated with the given
    `void` | `put(String artifact, int lifespanSeconds, AuthenticatedClientSessionModel clientSessionModel)` Stores the given data and guarantees that data should be available in the store for at least the time specified by parameter
    `void` | `remove(String artifact)` Removes data for the given from the store

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### InfinispanSamlArtifactSessionMappingStoreProvider

          public InfinispanSamlArtifactSessionMappingStoreProvider(Supplier<org.infinispan.commons.api.BasicCache<UUID,String[]>> actionKeyCache)

  - ### Method Detail

    - #### put

          public void put(String artifact,
                          int lifespanSeconds,
                          AuthenticatedClientSessionModel clientSessionModel)

      Description copied from interface: `SamlArtifactSessionMappingStoreProvider`
      Stores the given data and guarantees that data should be available in the store for at least the time specified by parameter
      Specified by:
        `put` in interface `SamlArtifactSessionMappingStoreProvider`

    - #### get

          public SamlArtifactSessionMappingModel get(String artifact)

      Description copied from interface: `SamlArtifactSessionMappingStoreProvider`
      This method returns session mapping associated with the given
      Specified by:
        `get` in interface `SamlArtifactSessionMappingStoreProvider`
      Returns:
        session mapping corresponding to given artifact or `null` if it does not exist.

    - #### remove

          public void remove(String artifact)

      Description copied from interface: `SamlArtifactSessionMappingStoreProvider`
      Removes data for the given from the store
      Specified by:
        `remove` in interface `SamlArtifactSessionMappingStoreProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.